@import url(variables.css);


#main-header{
    width: 100%;
    overflow: hidden;
    height: 850px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


/*HEADER SLIDER*/

.header-slider{
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
    overflow: hidden;
}


.header-slider .slider{
    display: flex;
    transform: translateX(0vw);
    transition: all 1s ease-in-out;
}

.header-slider .slider .slide{
    width: 100vw;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: var(--spacing-medium);
    position: relative;
}

.header-slider .slider .slide img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 25%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    filter: brightness(60%);
}

.header-slider .slider .slide .slide-text{
    max-width: 90%;
    width: 700px;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: var(--spacing-small);
    color: white;
    padding: var(--spacing-medium);
    z-index: 3;
    margin: auto;
    text-align: center;
    
}


.cta-links{
    width: 200px;
    padding: 13px;
    border-radius: 3px;
    text-decoration: none;
    background-color: var(--primary-color);
    color: #000;
    text-align: center;
    transition: all 1s ease;
    position: relative;
    overflow: hidden;
}

.cta-links::before{
    position: absolute;
    content: "";
    left: -55%;
    top: -25%;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: orangered;
    transition: all 1s ease;
    z-index: -1;
}


.cta-links:hover::before{
    width: 400px;
    height: 300px;
    left: -50%;
    top: -100%;
  
}

.cta-links:hover{
    filter:hue-rotate(720deg)
}

.header-slider .slider .slide .slide-text h2{
    font-size: 30px;
    text-align: center;
}

.slider-controls-bottom{
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-small);
    padding: 20px 0;
    z-index: 2;
}

.slider-controls-bottom div{
    width: 15px;
    height: 15px;
    background-color: var(--primary-color);
    border-radius: 50%;
    border: 1px solid var(--sec-color);
    cursor: pointer;
}

.slider-controls-arrows{
    position: absolute;
    left: 0;
    top: 45%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: var(--spacing-small);
    z-index: 2;
}

.slider-controls-arrows i{
    cursor: pointer;
    background-color: var(--primary-color);
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

/*MAIN PAGES*/

#main-page{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--spacing-large);
}

#main-page section{
    position: relative;
}


#main-page section .rep{
    position: absolute;
    left: 5%;
    top:0%;
    opacity: 0.5;
    width: 150px;
    height: 150px;
    object-fit: contain;
    z-index: -1;
}

.about-section{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-evenly;
    position: relative;
    overflow: hidden;
    padding: 30px 10px;
}

.about-section::before {
  content: "";
  position: absolute;
  top: -60px;
  left: -60px;
  width: 130%;
  height: 100%;
  background: radial-gradient(
    circle at 30% 30%,
    #F8C5BD 0%,
    #C98F83 35%,
    #D6AF5F 60%,
    transparent 90%
  );
  z-index: -1;
  opacity: 0.22;
  transform: rotate(4deg);
  pointer-events: none;
}

.about-section img{
    max-width: 95%;
    width: 500px;
    object-fit: cover;
    border-radius: 5px;
}

.about-section div{
    max-width: 95%;
    width: 400px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
}

.main-links{
    text-decoration: none;
    color: #000;
    font-size: 17px;
    display: flex;
    padding: 13px;
    border-radius: 3px;
    align-items: center;
    justify-content: space-between;
    width: 150px;
    position: relative;
    transition: all 1s ease;
    overflow: hidden;
}

.main-links::before{
    content: "";
    position: absolute;
    right: 0%;
    top: 5%;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: var(--primary-color);
    z-index: -1;
    transition: all 1s ease;
}

.main-links:hover i{
    animation: floating .4s infinite linear alternate;
}

@keyframes floating {
    from{
        transform: translateY(2px);
    }
    to{
        transform: translateY(-2px);
    }
}

#main-page .main-links:hover::before{
    width: 200%;
    height: 300px;
    top: -100%;
    right: -30%;
}


.services-section .services-links:nth-child(2), .services-section .last-link{
    width: 100%;
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background-color: var(--primary-color);
    border-radius: 30px;
    grid-area: services-link1;
    text-decoration: none;
    color: #000;
    padding: 10px;
    z-index: 2;
}

.services-section .services-links:nth-child(2) img, .services-section .last-link img{
    max-width: 100%;
    width: 500px;
    object-fit: cover;
    border-radius: 20px;
    object-position: var(--object-pos);
}

.services-section .services-links:nth-child(2) span, .services-section .services-links:nth-child(5) span{
    max-width: 100%;
    width: 400px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
}

.services-section .services-links:nth-child(3){
    grid-area: services-link2;
}

.services-section .services-links:nth-child(4){
    grid-area: services-link3;
}

.services-section .services-links:nth-child(5){
    grid-area: services-link4;
}


.services-section{
    width: 100%;
    display: grid;
    grid-template-areas: 'services-link1 services-link1 services-link1 services-link1 services-link1'
                'services-link2 services-link2 services-link3 services-link3 services-link3'
                'services-link4 services-link4 services-link4 services-link4 services-link4';
    
    gap: var(--spacing-medium);
    overflow-x: hidden;
    flex-wrap: wrap;
    background-color: #fff4f3;
    padding: 60px 5px;
    position: relative;

}

.services-section .bg-img{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 1;
    opacity: 0.1;
}





.services-section .last-link span a, .services-section .first-child span a{
    width: 150px;
    padding: 10px;
    text-decoration: none;
    color: #000;
    background-color: transparent;
    border: 1px solid #ff84a7;
    border-radius: 20px;
    text-align: center;
    transition: all 1s ease;
}

.services-section .last-link span a:hover, .services-section .first-child span a:hover{
    background-color: #ffbfd1;
}

.services-section .services-links:not(.first-child):not(.last-link){
    z-index: 2;
    width: 100%;
    height: 400px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
    text-decoration: none;
    color: #000;
    border-radius: 5px;
    overflow: hidden;
    background-color: var(--primary-color);
}

.services-section .services-links img:not(.first-child img):not(.last-link img){
    width: 100%;
    height: 250px;
    object-fit: cover;
    object-position: var(--object-pos);
    transition: all .3s ease;
}

.services-section .services-links:hover{
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);
    filter: hue-rotate(360deg);
    background-color: #ffbfd167;
    backdrop-filter: blur(2px);
}

.services-section .services-links:hover img{
    filter: brightness(30%);
}

.services-section .services-links span{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-small);
    padding: var(--spacing-small);
}


/*OFFER*/

.offer-section{
    width: 100%;
    height: 600px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 50px 0;
}

.offer-section img{
    position: absolute;
    left: 0;
    top: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    z-index: -1;
    filter: brightness(60%);
}

.offer-section div{
    max-width: 95%;
    width: 600px;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
    align-items: center;
    justify-content: center;
    color: #fff;
}

.offer-section div p{
    font-size: 30px;
}

.offer-section div h2{
    font-size: 60px;
}

.offer-section div span{
    display: flex;
    flex-direction: column;
    gap: var(--spacing-small);
    text-align: center;
}


/*EXPERTS*/
.meet-experts {
  max-width: 95%;
  width: 1100px;
  padding: 80px 20px;
  background: linear-gradient(135deg, #FADCD9, #fff);
  text-align: center;
  color: #5e4444;
  font-family: 'Segoe UI', sans-serif;
  border-radius: 20px;
}

.meet-experts h2 {
  font-size: 2.8em;
  margin-bottom: 10px;
  color: var(--accent-color);
}

.meet-experts .subtitle {
  font-size: 1.1em;
  margin-bottom: 50px;
  color: #6c5555;
}

.experts-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}

.expert-card {
  background: #fff;
  border-radius: 20px;
  overflow: hidden;
  padding: 20px;
  width: 240px;
  box-shadow: 0 10px 20px rgba(0,0,0,0.08);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.expert-card:hover {
  transform: translateY(-10px);
  box-shadow: 0 15px 25px rgba(0,0,0,0.12);
}

.expert-card img {
  width: 100%;
  height: 260px;
  object-fit: cover;
  object-position: 30% 25%;
  border-radius: 14px;
  margin-bottom: 15px;
}

.expert-card h3 {
  font-size: 1.4em;
  color: var(--sec-color);
  margin: 5px 0;
}

.expert-card span {
  font-size: 1em;
  color: #7b6060;
}


/*Happy customers*/

.customer-love {
  background: #fff;
  padding: 80px 20px;
  text-align: center;
  font-family: 'Segoe UI', sans-serif;
}

.customer-love h2 {
  font-size: 2.5em;
  color: var(--accent-color);
  margin-bottom: 33px;
}

.customer-love .subtitle {
  font-size: 1.1em;
  color: #6c5b5b;
  margin-bottom: 40px;
}

.gallery-grid {
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
}

.gallery-item {
  overflow: hidden;
  border-radius: 16px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.05);
  transition: transform 0.3s ease;
  position:relative;
}

.gallery-item:hover {
  transform: scale(1.03);
}

.gallery-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
.gallery-item::after {
  content: "♥";
  position: absolute;
  top: 10px;
  right: 10px;
  background: var(--sec-color);
  color: white;
  padding: 5px 10px;
  border-radius: 50%;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.gallery-item:hover::after {
  opacity: 1;
}




/*VIDEO PRESENTATION STYLES*/
.video-el{
    width: 100%;
    height: auto;
    background-color: #fffafa;
    padding: 60px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
.video-presentation{
    width: 99%;
    height: 700px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-radius: 30px;
    position: relative;
    margin: 50px 0;
}

.video-presentation video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    left: 0;
    top: 0;
    filter: brightness(40%);
}

.video-presentation video.active{
    filter: brightness(100%);
}

.video-presentation i{
    font-size: 70px;
    cursor: pointer;
    color: #fff;
    z-index: 2;
    position: relative;
}

.video-presentation i.inactive{
    display: none;
}

.video-presentation i::after{
    content: "";
    width: 140px;
    height: 140px;
    border-radius: 50%;
    position: absolute;
    left: -50%;
    top: -50%;
    background-color: rgba(255, 255, 255, 0.3);
    animation: expand 2s infinite linear forwards;
}

@keyframes expand {
    from{
        width: 70px;
        height: 70px;
        left: -20%;
        top: 0%;
        background-color: rgba(255, 255, 255, 0.543);
    }
    to{
        width: 140px;
        width: 140px;
        left: -100%;
        top: -50%;
        background-color: rgba(255, 255, 255, 0.122);
    }
}


.location{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding: 100px 0;
    gap: var(--spacing-medium);
}

.location div{
    max-width: 95%;
    width: 400px;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
}

.socials{
    display: flex;
    padding: 20px 0;
    gap: var(--spacing-small);
}


/*LOCATION SOCIAL ICONS AND ALSO FOOTER SOCIAL ICONS*/

.socials a{
    text-decoration: none;
    font-size: 30px;
}

.socials a:nth-child(1){
    color: rgb(0, 64, 255);
}

.socials a:nth-child(2){
    color: #000;
}

.socials a:nth-child(3){
    color: palevioletred;
}

.socials a:nth-child(4){
    color: rgb(0, 119, 255);
}

.location .whatsapp-link{
    width: 200px;
    padding: 13px;
    text-decoration: none;
    color: #fff;
    background-color: rgb(0, 201, 90);
    border-radius: 5px;
    text-align: center;
    transition: all 1s ease;
}

.location .whatsapp-link:hover{
    filter: contrast(500%) saturate(200%);
}


.testimonials{
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-medium);
    flex-wrap: wrap;
    padding: 100px 0;
}

.testimonials div{
    max-width: 95%;
    width: 300px;
    height: 300px;
    padding: var(--spacing-small);
    background-color: var(--primary-color);
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-medium);
    transition: all .5s ease;
}

.testimonials div img{
    width: 50px;
    height: 50px;
    object-fit: cover;
    object-position: var(--object-pos);
    border-radius: 50%;
}



.testimonials div:hover{
    background-color: var(--accent-color);
}


.wcu{
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: var(--spacing-medium);
    padding: 50px 0;
}

.wcu div{
    max-width: 95%;
    width: 500px;
    height: 250px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
    text-align: center;
    align-items: center;
    justify-content: center;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(2px);
}

.wcu div i{
    font-size: 50px;
    color: var(--primary-color);
}

.wcu img{
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    object-fit: contain;
    opacity: 0.4;
}

.mail-subscription{
    width: 100%;
    height: 500px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mail-subscription img{
    position: absolute;
    left: 0;
    top: 0;
    filter: brightness(70%);
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.mail-subscription form{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.311);
    color: #fff;
}

.mail-subscription form div{
    max-width: 95%;
    width: 600px;
    padding: var(--spacing-small);
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: var(--spacing-small);
    border-radius: 30px;
    border: 1px solid #ff84a7;
}

.mail-subscription form div input[type='email']{
    width: 70%;
    padding: 13px;
    border: none;
    background-color: transparent;
    font-size: 17px;
    color: #fff;
}

.mail-subscription form div input[type='email']::-webkit-input-placeholder{
    -webkit-appearance: none;
    color: #fff;
    font-family: Jost;
    font-size: 17px;
}

.mail-subscription form div input[type='email']:focus{
    outline: none;
}

.mail-subscription form div input[type='submit']{
    border: none;
    background-color: #ff84a7;
    padding: 13px;
    cursor: pointer;
    width: 25%;
    border-radius: 20px;
}



/*ABOUT, Services AND CONTACT PAGE STYLES*/

#ter-main{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-large);
    margin: 50px 0;
}

#ter-main .mini-header{
    width: 100%;
    height: 300px;
    padding: 30px 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(90deg, rgba(250,220,217,0.9), rgba(211,165,154,0.9));
    position: relative;
}

#ter-main .mini-header h1{
    z-index: 2;
    font-size: 40px;
}

#ter-main .mini-header img{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: var(--object-pos);
    filter: brightness(50%);
}


#ter-main .links{
    width: 100%;
    padding: var(--spacing-small);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-small);
}

#ter-main .links a{
    max-width: 45%;
    width: 150px;
    padding: 13px;
    border-radius: 5px;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.1);
    text-decoration: none;
    color: #000;
    text-align: center;
}

#ter-main .links .main-link{
    background-color: var(--primary-color);
}


#ter-main  .content{
    width: 100%;
    display: flex;
    align-items: center;
    gap: var(--spacing-medium);
    flex-wrap: wrap;
    justify-content: space-evenly;
}

#ter-main  .content img{
    max-width: 95%;
    width: 500px;
    height: 500px;
    object-fit: cover;
    border-radius: 5px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}

#ter-main  .content .about-text, #ter-main  .content .contact-text{
    max-width: 95%;
    width: 400px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-medium);

}

#ter-main  .content .about-text ul {
  list-style: none;
  padding: 0;
  margin: 40px 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 20px;
}

#ter-main  .content .about-text ul li {
  position: relative;
  padding: 15px 20px 15px 50px;
  background: #fff8f6;
  border-left: 4px solid var(--accent-color);
  border-radius: 8px;
  font-size: 1rem;
  line-height: 1.6;
  color: #4a4a4a;
  transition: background 0.3s ease;
}

#ter-main  .content .about-text ul li::before {
  content: "✓";
  position: absolute;
  left: 15px;
  top: 50%;
  transform: translateY(-50%);
  background: var(--sec-color);
  color: white;
  font-size: 0.85rem;
  padding: 6px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  display: flex;
  align-items:center;
  justify-content:center;
  box-shadow: 0 2px 6px rgba(0,0,0,0.1);
}

#ter-main  .content .about-text ul li:hover {
  background: #fff2ee;
}

#ter-main .content .about-text .order-toggle{
    width: 150px;
    padding: 13px;
    cursor: pointer;
    border: none;
    border-radius: 3px;
    background-color: var(--primary-color);
}